Skip to main content
POST
/
v1
/
agents
/
{agent_name}
/
publish
Publish Agent
curl --request POST \
  --url https://sdk.nimbleway.com/v1/agents/{agent_name}/publish \
  --header 'Content-Type: application/json' \
  --data '
{
  "version_id": "fee30209-2439-459b-985a-ba7f8d8d2325"
}
'
{
  "agent_name": "books_toscrape_categories_nkjansdkj_2026_03_24_zco2isqi",
  "published_version_id": "fee30209-2439-459b-985a-ba7f8d8d2325"
}

Path Parameters

agent_name
string
required

The name of the agent to publish

Body

application/json
version_id
string
required

The version id of the agent to publish

Example:

"fee30209-2439-459b-985a-ba7f8d8d2325"

Response

Successful Response

agent_name
string
required

The name of the agent

Example:

"books_toscrape_categories_nkjansdkj_2026_03_24_zco2isqi"

published_version_id
string
required

The version id of the published agent

Example:

"fee30209-2439-459b-985a-ba7f8d8d2325"